- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PatternParser Class Reference

List of all members.

## Detailed Description

Most of the work of the PatternLayout class is delegated to the PatternParser class.

It is this class that parses conversion patterns and creates a chained list of PatternConverters.

## Static Public Member Functions
static void | parse (const LogString &pattern, std::vector< PatternConverterPtr > &patternConverters, std::vector< FormattingInfoPtr > &formattingInfos, const PatternMap &rules)
| Parse a format specifier.

## Member Function Documentation

static void parse | ( | const LogString & | pattern,
|  | std::vector< PatternConverterPtr > & | patternConverters,
|  | std::vector< FormattingInfoPtr > & | formattingInfos,
|  | const PatternMap & | rules
| ) | `[static]`

  | Parse a format specifier. Parameters:
  | pattern | pattern to parse.
  | patternConverters | list to receive pattern converters.
  | formattingInfos | list to receive field specifiers corresponding to pattern converters.
  | rules | map of stock pattern converters keyed by format specifier.

The documentation for this class was generated from the following file:

- patternparser.h